plans:
- cleanup:
    enabled: true
    phases:
    - how: tmt
      name: default-0
      order: 50
  description: Run integration tests using the requre project for mocking interaction
    with polarion.
  discover:
    enabled: true
    phases:
    - dist-git-download-only: false
      dist-git-init: false
      dist-git-install-builddeps: false
      dist-git-merge: false
      dist-git-remove-fmf-root: false
      dist-git-source: false
      filter:
      - 'tag: integration'
      fmf-id: false
      how: fmf
      modified-only: false
      name: default-0
      order: 50
      prune: false
      sync-repo: false
      url-content-type: git
    tests:
    - description: "This part of the testsuite uses project requre. It stores\ncommunication
        with nitrate server to local `test_data`\ndirectory where tests are defined.\n\nRegeneration\n\nIf
        you want to regenerate some file for test, just remove\nexisting response
        file and run it on your machine with your\ncredentials::\n    \n    rm -rf
        requre/test_data/*\n    cd requre/nitrate\n    pip3 install requre\n    pytest
        -v\n\nRemove sensitive data\n\nIf there are any sensitive data you can use
        the requre-patch\ntool from requre project to remove timestamps, sensitive
        urls,\ntokens or passwords. The syntax is as follows::\n\n    key_identifiers:key_in_response:python_type:replaced_value\n\nExample::\n\n
        \   requre-patch purge --replaces :milestone_url:str:SomeText \\\n        tests/integration/test_data/test_nitrate/*\n\nDebugging\n\nTo
        see if there is no network communication, just use e.g. the\n`unshare` command::\n\n
        \   cd tests/integration\n    sudo unshare -n sudo -u `whoami` pytest -v test_nitrate.py\n"
      discover-phase: default-0
      duration: 5m
      enabled: true
      environment:
        REQURE_MODE: read
      framework: shell
      link:
      - relates: https://github.com/packit/requre
      manual: false
      name: /requre/polarion
      order: 50
      path: /default-0/tests/requre/polarion
      require:
      - python3-pytest
      - tmt-all
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 1
      summary: Integration tests with requre support for polarion
      tag:
      - integration
      - polarion
      test: 'tar xJf test_data/export/binary_data.tar.xz -C test_data/export/

        python3 -m pytest -vvv -ra --showlocals export.py

        '
      tty: false
  enabled: true
  execute:
    enabled: true
    phases:
    - duration: 1h
      exit-first: false
      how: tmt
      ignore-duration: false
      interactive: false
      name: default-0
      no-progress-bar: false
      order: 50
      restraint-compatible: false
    results-path: plans/remote/polarion/execute/results.yaml
  finish:
    enabled: true
    phases:
    - how: shell
      name: default-0
      order: 50
  name: /plans/remote/polarion
  order: 50
  prepare:
    enabled: true
    phases:
    - copr:
      - '@teemtee/latest'
      how: install
      missing: fail
      name: enable-latest-copr
      order: 50
      summary: Enable copr repo with the latest tmt bits
    - how: shell
      name: disable-tag-repo
      order: 50
      script:
      - "dnf repolist | grep testing-farm-tag-repository || exit 0\nif command -v
        dnf5; then\n    dnf config-manager setopt testing-farm-tag-repository.enabled=0\nelse\n
        \   dnf config-manager --set-disabled testing-farm-tag-repository\nfi\n"
      summary: Completely disable the tag repository
    - how: install
      missing: fail
      name: Install pip
      order: 50
      package:
      - python3-pip
    - how: shell
      name: Install Requre
      order: 50
      script:
      - pip3 install "typing-extensions>=3.7.4.3" requre pylero
    - how: shell
      name: Create pylero config
      order: 50
      script:
      - bash setup/pylero-config.sh
    - how: shell
      name: Create default nitrate config
      order: 50
      script:
      - bash setup/nitrate-config.sh
  provision:
    enabled: true
    phases:
    - become: false
      guest: 3.145.185.146
      hard-reboot: /opt/artemis-cli/bin/artemis-cli guest reboot 76f826b6-a811-4b69-9077-f531af719883
      how: connect
      key:
      - /etc/citool.d/id_rsa_artemis
      name: default-0
      order: 50
      port: 22
      user: root
  report:
    enabled: true
    phases:
    - display-guest: auto
      how: display
      name: default-0
      order: 50
  summary: Run integration tests with polarion support
run:
  context:
    arch:
    - x86_64
    distro:
    - fedora-rawhide
    initiator:
    - packit
    trigger:
    - commit
  environment:
    PACKIT_BUILD_LOG_URL: https://download.copr.fedorainfracloud.org/results/packit/teemtee-tmt-4904/fedora-rawhide-x86_64/10515802-tmt/builder-live.log
    PACKIT_COMMIT_SHA: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    PACKIT_COPR_BUILD_ID: '10515802'
    PACKIT_COPR_PROJECT: packit/teemtee-tmt-4904
    PACKIT_COPR_RPMS: tmt+provision-virtual-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-bootc-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-beaker-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+report-polarion-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-container-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+export-polarion-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+prepare-artifact-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+report-junit-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+all-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+link-jira-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-mock-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+test-convert-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
    PACKIT_DOWNSTREAM_NAME: tmt
    PACKIT_DOWNSTREAM_URL: https://src.fedoraproject.org/rpms/tmt.git
    PACKIT_FULL_REPO_NAME: teemtee/tmt
    PACKIT_PACKAGE_NAME: tmt
    PACKIT_PACKAGE_NVR: tmt+provision-virtual-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45
    PACKIT_PR_ID: '4904'
    PACKIT_SOURCE_BRANCH: document-user-key-better
    PACKIT_SOURCE_SHA: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    PACKIT_SOURCE_URL: https://github.com/teemtee/tmt
    PACKIT_SRPM_URL: https://download.copr.fedorainfracloud.org/results/packit/teemtee-tmt-4904/srpm-builds/10515802/tmt-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.src.rpm
    PACKIT_TARGET_BRANCH: main
    PACKIT_TARGET_SHA: ba64efc6eb8bc54e1c9b7971fe42c7227cdd8096
    PACKIT_TARGET_URL: https://github.com/teemtee/tmt
    PACKIT_UPSTREAM_NAME: tmt
    PACKIT_UPSTREAM_URL: https://github.com/teemtee/tmt
    TESTING_FARM_GIT_REF: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    TESTING_FARM_GIT_URL: https://github.com/teemtee/tmt
    TESTING_FARM_REQUEST_ID: 7ee920ba-c471-4371-b3ba-ca9f08ece5f9
    TESTING_FARM_TEST_TYPE: fmf
  remove: false
  root: /var/ARTIFACTS/git-ba64efc6eb8bc54e1c9b7971fe42c7227cdd8096jv4l6ug6
